<?php

define("API_URL", "https://sandbox.esignlive.com/api/packages");
define("MULTIPART_BOUNDARY", "----WebKitFormBoundary7MA4YWxkTrZu0gW");

$api_headers = array(
	"Authorization: Basic your_api_key",
	"Accept: application/json; esl-api-version=11.0",
	"Content-Type: multipart/form-data; boundary=\"" . MULTIPART_BOUNDARY . "\"",
);

$json = array(
	'type' => 'PACKAGE',
	'status' => 'SENT',
	'roles' => array(
		array(
			'id' => 'Signer1',
			'type' => 'SIGNER',
			'signers' => array(
				array(
					'email' => 'mail72@mailinator.com',
					'firstName' => 'John',
					'lastName' => 'Smith',
					'id' => 'Signer1',
				),
			),
		),
		array(
			'id' => 'Sender1',
			'type' => 'SIGNER',
			'signers' => array(
				array(
					'email' => 'mail71@mailinator.com',
					'firstName' => 'Mike',
					'lastName' => 'Boss',
					'id' => 'Sender1',
				),
			),
		),
	),
	'name' => 'PHP Application Example',
	'documents' => array(
		array(
			//'id' => 'contract',
			"name" => "Repipe-Contract_all.pdf",
			"index" => 0,
			'approvals' => array(
				array(
					"fields" => array(
						array(
							"type" => "SIGNATURE",

							"extract" => false,

							"extractAnchor" => array(

								"text" => "Signature",

								"index" => 0,

								"width" => 150,

								"height" => 40,

								"anchorPoint" => "TOPLEFT",

								"characterIndex" => 0,

								"leftOffset" => 0,

								"topOffset" => -50,

							),

							"subtype" => "FULLNAME",

						),
					),
					'role' => 'Signer1',
				),
			),
		),
	),
);

$postdata = "--" . MULTIPART_BOUNDARY . "\r\n";
$postdata .= "Content-Disposition: form-data; name=\"file\"; filename=\"sample_contract2.pdf\"\r\n\r\n";
$postdata .= file_get_contents("C:\\Users\\duo\\Downloads\\cleaning_contract.pdf");
$postdata .= "\r\n\r\n";
$postdata .= "--" . MULTIPART_BOUNDARY . "\r\n";
$postdata .= "Content-Disposition: form-data; name=\"payload\"\r\n\r\n";
$postdata .= json_encode($json);
$postdata .= "\r\n\r\n";
$postdata .= "--" . MULTIPART_BOUNDARY . "--\r\n";

$curl = curl_init(API_URL);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $postdata);
curl_setopt($curl, CURLOPT_HTTPHEADER, $api_headers);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
// curl_setopt($curl, CURLOPT_PROXY, "localhost"); //your proxy url
// curl_setopt($curl, CURLOPT_PROXYPORT, "8888"); // your proxy port number
curl_exec($curl);
$response = curl_multi_getcontent($curl);
curl_close($curl);

echo mb_convert_encoding(print_r(json_decode($response, true), true), 'CP932', 'UTF-8');

?>